/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.api.model;

/**
 * Category entity.
 * 
 * Categories allow the API caller to sort items by category.
 * @author BEAUVAIS ANTOINE
 */
public class Category {
    
    /**
     * The category's identifier.
     */
    private final int id;
    
    /**
     * The category's name.
     */
    private final String name;
    
    /**
     * Class constructor.
     * @param id the category's identifier.
     * @param name the category's name.
     */
    public Category(int id, String name)
    {
        this.id = id;
        this.name = name;
    }
    
    /**
     * Returns the current category's identifier.
     * @return the category's identifier.
     */
    public int getId()
    {
        return this.id;
    }
    
    /**
     * Returns the current category's name.
     * @return the category's name.
     */
    public String getName()
    {
        return this.name;
    }
}
